Package de.willuhn.jameica.hbci.io.print

# Class AbstractPrintSupportSepaSammelTransfer<T extends SepaSammelTransfer>

java.lang.Object
de.willuhn.jameica.hbci.io.print.AbstractPrintSupport
de.willuhn.jameica.hbci.io.print.AbstractPrintSupportSepaSammelTransfer<T>

Type Parameters:
  `T` - der konkrete Typ des SEPA-Sammelauftrages.

All Implemented Interfaces:
  `de.willuhn.jameica.print.PrintSupport`

Direct Known Subclasses:
  `PrintSupportSepaSammelLastschrift`, `PrintSupportSepaSammelUeberweisung`

public abstract class AbstractPrintSupportSepaSammelTransfer<T extends SepaSammelTransfer> extends AbstractPrintSupport
Abstrakter Druck-Support fuer SEPA-Sammelauftraege.

## Constructor Summary

Constructors
Constructor
Description
`AbstractPrintSupportSepaSammelTransfer(Object ctx)`
ct.

## Method Summary

Modifier and Type
Method
Description
`protected T`
`getAuftrag()`
Liefert den Auftrag.

### Methods inherited from class de.willuhn.jameica.hbci.io.print.AbstractPrintSupport

`print`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractPrintSupportSepaSammelTransfer

public AbstractPrintSupportSepaSammelTransfer(Object ctx)
ct.

Parameters:
  `ctx` - die zu druckenden Daten.

## Method Details

### getAuftrag

protected T getAuftrag() throws de.willuhn.util.ApplicationException
Liefert den Auftrag.

Returns:
  der Auftrag.
Throws:
  `de.willuhn.util.ApplicationException`